- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Static Public Member Functions | List of all members
pdftron::PDF::PDFDocGenerator Class Reference

`#include <PDFDocGenerator.h>`

## Static Public Member Functions
static PDFDoc | GenerateBlankPaperDoc (double width, double height, double background_red, double background_green, double background_blue)
static PDFDoc | GenerateGridPaperDoc (double width, double height, double grid_spacing, double line_thickness, double red, double green, double blue, double background_red, double background_green, double background_blue)
static PDFDoc | GenerateLinedPaperDoc (double width, double height, double line_spacing, double line_thickness, double red, double green, double blue, double left_margin_distance, double left_margin_red, double left_margin_green, double left_margin_blue, double right_margin_red, double right_margin_green, double right_margin_blue, double background_red, double background_green, double background_blue, double top_margin_distance, double bottom_margin_distance)
static PDFDoc | GenerateGraphPaperDoc (double width, double height, double grid_spacing, double line_thickness, double weighted_line_thickness, int weighted_line_freq, double red, double green, double blue, double background_red, double background_green, double background_blue)
static PDFDoc | GenerateMusicPaperDoc (double width, double height, double margin, int staves, double linespace_size_pts, double line_thickness, double red, double green, double blue, double background_red, double background_green, double background_blue)
static PDFDoc | GenerateDottedPaperDoc (double width, double height, double dot_spacing, double dot_size, double red, double green, double blue, double background_red, double background_green, double background_blue)
static PDFDoc | GenerateIsometricDottedPaperDoc (double width, double height, double dot_spacing, double dot_size, double red, double green, double blue, double background_red, double background_green, double background_blue)

## Detailed Description

The class PDFDocGenerator. A collection of static methods to create blank documents

No notes :(

Definition at line 24 of file PDFDocGenerator.h.

## Member Function Documentation

static PDFDoc pdftron::PDF::PDFDocGenerator::GenerateBlankPaperDoc | ( | double | width,
|  | double | height,
|  | double | background_red,
|  | double | background_green,
|  | double | background_blue
| ) |  |
| static

Create a new document with one page of blank paper.

Parameters

  width | – The page width in inches.
  height | – The page height in inches.
  background_red | – The red component of the background color.
  background_green | – The green component of the background color.
  background_blue | – The blue component of the background color.

Returns
  .

static PDFDoc pdftron::PDF::PDFDocGenerator::GenerateDottedPaperDoc | ( | double | width,
|  | double | height,
|  | double | dot_spacing,
|  | double | dot_size,
|  | double | red,
|  | double | green,
|  | double | blue,
|  | double | background_red,
|  | double | background_green,
|  | double | background_blue
| ) |  |
| static

Create a new document with one page of dotted paper.

Parameters

  width | – The page width in inches.
  height | – The page height in inches.
  dot_spacing | – The dot spacing in inches.
  dot_size | – The dot size (diameter) in points.
  red | – The red component of the line color.
  green | – The green component of the line color.
  blue | – The blue component of the line color.
  background_red | – The red component of the background color.
  background_green | – The green component of the background color.
  background_blue | – The blue component of the background color.

Returns
  .

static PDFDoc pdftron::PDF::PDFDocGenerator::GenerateGraphPaperDoc | ( | double | width,
|  | double | height,
|  | double | grid_spacing,
|  | double | line_thickness,
|  | double | weighted_line_thickness,
|  | int | weighted_line_freq,
|  | double | red,
|  | double | green,
|  | double | blue,
|  | double | background_red,
|  | double | background_green,
|  | double | background_blue
| ) |  |
| static

Create a new document with one page of graph paper.

Parameters

  width | – The page width in inches.
  height | – The page height in inches.
  grid_spacing | – The grid spacing in inches.
  line_thickness | – The line thickness in points.
  weighted_line_thickness | – The weighted line thickness in points.
  weighted_line_freq | – Ratio of weighted lines to normal lines.
  red | – The red component of the line color.
  green | – The green component of the line color.
  blue | – The blue component of the line color.
  background_red | – The red component of the background color.
  background_green | – The green component of the background color.
  background_blue | – The blue component of the background color.

Returns
  .

static PDFDoc pdftron::PDF::PDFDocGenerator::GenerateGridPaperDoc | ( | double | width,
|  | double | height,
|  | double | grid_spacing,
|  | double | line_thickness,
|  | double | red,
|  | double | green,
|  | double | blue,
|  | double | background_red,
|  | double | background_green,
|  | double | background_blue
| ) |  |
| static

Create a new document with one page of grid paper.

Parameters

  width | – The page width in inches.
  height | – The page height in inches.
  grid_spacing | – The grid spacing in inches.
  line_thickness | – The line thickness in points.
  red | – The red component of the line color.
  green | – The green component of the line color.
  blue | – The blue component of the line color.
  background_red | – The red component of the background color.
  background_green | – The green component of the background color.
  background_blue | – The blue component of the background color.

Returns
  .

static PDFDoc pdftron::PDF::PDFDocGenerator::GenerateIsometricDottedPaperDoc | ( | double | width,
|  | double | height,
|  | double | dot_spacing,
|  | double | dot_size,
|  | double | red,
|  | double | green,
|  | double | blue,
|  | double | background_red,
|  | double | background_green,
|  | double | background_blue
| ) |  |
| static

Create a new document with one page of dotted paper.

Parameters

  width | – The page width in inches.
  height | – The page height in inches.
  dot_spacing | – The dot spacing in inches.
  dot_size | – The dot size (diameter) in points.
  red | – The red component of the line color.
  green | – The green component of the line color.
  blue | – The blue component of the line color.
  background_red | – The red component of the background color.
  background_green | – The green component of the background color.
  background_blue | – The blue component of the background color.

Returns
  .

static PDFDoc pdftron::PDF::PDFDocGenerator::GenerateLinedPaperDoc | ( | double | width,
|  | double | height,
|  | double | line_spacing,
|  | double | line_thickness,
|  | double | red,
|  | double | green,
|  | double | blue,
|  | double | left_margin_distance,
|  | double | left_margin_red,
|  | double | left_margin_green,
|  | double | left_margin_blue,
|  | double | right_margin_red,
|  | double | right_margin_green,
|  | double | right_margin_blue,
|  | double | background_red,
|  | double | background_green,
|  | double | background_blue,
|  | double | top_margin_distance,
|  | double | bottom_margin_distance
| ) |  |
| static

Create a new document with one page of lined paper.

Parameters

  width | – The page width in inches.
  height | – The page height in inches.
  line_spacing | – The line spacing in inches.
  line_thickness | – The line thickness in points.
  red | – The red component of the line color.
  green | – The green component of the line color.
  blue | – The blue component of the line color.
  left_margin_distance | – Distance of the margin from the left side of the page.
  left_margin_red | – The red component of the left margin color.
  left_margin_green | – The green component of the left margin color.
  left_margin_blue | – The blue component of the left margin color.
  right_margin_red | – The red component of the right margin color.
  right_margin_green | – The green component of the right margin color.
  right_margin_blue | – The blue component of the right margin color.
  background_red | – The red component of the background color.
  background_green | – The green component of the background color.
  background_blue | – The blue component of the background color.
  top_margin_distance | – Distance of the margin from the top of the page.
  bottom_margin_distance | – Distance of the margin from the bottom of the page.

Returns
  .

static PDFDoc pdftron::PDF::PDFDocGenerator::GenerateMusicPaperDoc | ( | double | width,
|  | double | height,
|  | double | margin,
|  | int | staves,
|  | double | linespace_size_pts,
|  | double | line_thickness,
|  | double | red,
|  | double | green,
|  | double | blue,
|  | double | background_red,
|  | double | background_green,
|  | double | background_blue
| ) |  |
| static

Create a new document with one page of music paper.

Parameters

  width | – The page width in inches.
  height | – The page height in inches.
  margin | – The page margin in inches.
  staves | – Amount of staves on the page..
  linespace_size_pts | – The space between lines in points.
  line_thickness | – The line thickness in points.
  red | – The red component of the line color.
  green | – The green component of the line color.
  blue | – The blue component of the line color.
  background_red | – The red component of the background color.
  background_green | – The green component of the background color.
  background_blue | – The blue component of the background color.

Returns
  .

The documentation for this class was generated from the following file:

- PDF/PDFDocGenerator.h